Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.labkey.remoteapi.query
Enum Filter.Operator

    java.lang.Object
      java.lang.Enum<Filter.Operator>
          org.labkey.remoteapi.query.Filter.Operator

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Filter.Operator>

Enclosing class:
  Filter

    public static enum Filter.Operator

extends java.lang.Enum<Filter.Operator>

Enum Constant Summary
`CONTAINS`
`DATE_EQUAL`
`DATE_NOT_EQUAL`
`DOES_NOT_CONTAIN`
`DOES_NOT_START_WITH`
`EQUAL`
`GT`
`GTE`
`IN`
`ISBLANK`
`LT`
`LTE`
`NEQ`
`NEQ_OR_NULL`
`NON_BLANK`
`STARTS_WITH`

Method Summary
`java.lang.String` | `getCaption()`
`java.lang.String` | `getName()`
`static Filter.Operator` | `getOperator(java.lang.String programmaticName)`
`java.lang.String` | `getProgrammaticName()`
`boolean` | `isValueRequired()`
`static Filter.Operator` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Filter.Operator[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EQUAL

    public static final Filter.Operator EQUAL

### NEQ

    public static final Filter.Operator NEQ

### NEQ_OR_NULL

    public static final Filter.Operator NEQ_OR_NULL

### DATE_EQUAL

    public static final Filter.Operator DATE_EQUAL

### DATE_NOT_EQUAL

    public static final Filter.Operator DATE_NOT_EQUAL

### ISBLANK

    public static final Filter.Operator ISBLANK

### NON_BLANK

    public static final Filter.Operator NON_BLANK

### GT

    public static final Filter.Operator GT

### GTE

    public static final Filter.Operator GTE

### LT

    public static final Filter.Operator LT

### LTE

    public static final Filter.Operator LTE

### CONTAINS

    public static final Filter.Operator CONTAINS

### DOES_NOT_CONTAIN

    public static final Filter.Operator DOES_NOT_CONTAIN

### STARTS_WITH

    public static final Filter.Operator STARTS_WITH

### DOES_NOT_START_WITH

    public static final Filter.Operator DOES_NOT_START_WITH

### IN

    public static final Filter.Operator IN

Method Detail

### values

    public static Filter.Operator[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Filter.Operator c : Filter.Operator.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Filter.Operator valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getName

    public java.lang.String getName()

### getCaption

    public java.lang.String getCaption()

### isValueRequired

    public boolean isValueRequired()

### getProgrammaticName

    public java.lang.String getProgrammaticName()

### getOperator

    public static Filter.Operator getOperator(java.lang.String programmaticName)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD